Bug 1234639 - dnf package actions triggered by dnf-automatic aren't logged to dnf.rpm.log
Summary: dnf package actions triggered by dnf-automatic aren't logged to dnf.rpm.log
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 22
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Holy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-22 22:03 UTC by Gerd v. Egidy
Modified: 2015-10-06 02:14 UTC (History)
9 users (show)

Fixed In Version: dnf-plugins-core-0.1.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-15 02:14:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
automatic.conf used (1.39 KB, text/plain)
2015-06-22 22:06 UTC, Gerd v. Egidy
no flags Details

Description Gerd v. Egidy 2015-06-22 22:03:49 UTC
Description of problem:

dnf.rpm.log is designed to show all rpm-transactions done by dnf. 

like:
INFO --- logging initialized ---
INFO Upgraded: librepo-1.7.16-1.fc22.x86_64
INFO Installed: php-5.6.10-1.fc22.x86_64
[...]

If a dnf transaction is executed through dnf-automatic, no entries except the initial "--- logging initialized ---" are logged.

Version-Release number of selected component (if applicable):
dnf-1.0.1-2.fc22.noarch

How reproducible: 100%

Steps to Reproduce:
1. systemctl disable dnf-automatic.service
2. wait a few days till the diligent Fedora community has published some updates
3. rm -f /var/log/dnf.rpm.log
4. systemctl start dnf-automatic.service
5. cat /var/log/dnf.rpm.log

Actual results:
INFO --- logging initialized ---

Expected results:
INFO --- logging initialized ---
INFO Upgraded: foo-1.2.3

Additional info:

I found this while doing some tests for #1232011

Comment 1 Gerd v. Egidy 2015-06-22 22:06:45 UTC
Created attachment 1042033 [details]
automatic.conf used

Comment 2 Radek Holy 2015-07-30 09:14:54 UTC
Unintentionally fixed by: https://github.com/rpm-software-management/dnf/pull/323 :)

Comment 3 Gerd v. Egidy 2015-08-08 17:47:36 UTC
I tested your code and I can confirm it is working now. Thank you for fixing this.

Comment 4 Fedora Update System 2015-08-10 10:05:47 UTC
dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23

Comment 5 Fedora Update System 2015-08-10 10:49:52 UTC
dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22

Comment 6 Fedora Update System 2015-08-11 02:11:03 UTC
Package dnf-plugins-core-0.1.10-1.fc22, dnf-1.1.0-1.fc22, hawkey-0.6.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.10-1.fc22 dnf-1.1.0-1.fc22 hawkey-0.6.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13162/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-08-15 02:14:11 UTC
dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-19 07:51:35 UTC
dnf-plugins-core-0.1.10-1.fc23, hawkey-0.6.0-1.fc23, dnf-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.